summaryrefslogtreecommitdiffstats
path: root/source/a/syslinux/syslinux.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/syslinux/syslinux.SlackBuild')
-rwxr-xr-xsource/a/syslinux/syslinux.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/source/a/syslinux/syslinux.SlackBuild b/source/a/syslinux/syslinux.SlackBuild
index 1e7baad75..e7ec5fbbb 100755
--- a/source/a/syslinux/syslinux.SlackBuild
+++ b/source/a/syslinux/syslinux.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=syslinux
-VERSION=${VERSION:-3.84}
+VERSION=${VERSION:-4.05}
BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
@@ -43,9 +43,11 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xjvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION
+zcat $CWD/syslinux.altmbr.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \